import org.junit.Assert;
import org.junit.Test;

public class FizzBuzzTest {

    @Test
    public void FizzBuzzTest1(){
        //given
        FizzBuzz buzz = new FizzBuzz();
        int inputNumber = 9;
        String expectedOutput = "Fizz";

        //when
        String actualOutput = buzz.of(inputNumber);

        //then
        Assert.assertEquals(expectedOutput, actualOutput);

    }

    @Test
    public void FizzBuzzTest2(){
        //given
        FizzBuzz buzz = new FizzBuzz();
        int inputNumber = 10;
        String expectedOutput = "Buzz";

        //when
        String actualOutput = buzz.of(inputNumber);

        //then
        Assert.assertEquals(expectedOutput, actualOutput);

    }

    @Test
    public void FizzBuzzTest3(){
        //given
        FizzBuzz buzz = new FizzBuzz();
        int inputNumber = 15;
        String expectedOutput = "FizzBuzz";

        //when
        String actualOutput = buzz.of(inputNumber);

        //then
        Assert.assertEquals(expectedOutput, actualOutput);

    }

    @Test
    public void FizzBuzzTest4(){
        //given
        FizzBuzz buzz = new FizzBuzz();
        int inputNumber = 2;
        String expectedOutput = "2";

        //when
        String actualOutput = buzz.of(inputNumber);

        //then
        Assert.assertEquals(expectedOutput, actualOutput);

    }
}
